IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_LocalDomains_AU' AND type = 'TR') DROP TRIGGER[tr_LocalDomains_AU];
GO

CREATE TRIGGER [dbo].[tr_LocalDomains_AU]
ON [dbo].[tbl_LocalDomains]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.ID, 1, 'tbl_LocalDomains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.ID) AND (r.TableName = 'tbl_LocalDomains'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_LocalDomains_AI' AND type = 'TR') DROP TRIGGER[tr_LocalDomains_AI];
GO

CREATE TRIGGER [dbo].[tr_LocalDomains_AI]
ON [dbo].[tbl_LocalDomains]
FOR INSERT AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.ID, 1, 'tbl_LocalDomains' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.ID) AND (r.TableName = 'tbl_LocalDomains'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_LocalDomains_AD' AND type = 'TR') DROP TRIGGER[tr_LocalDomains_AD];
GO

CREATE TRIGGER [dbo].[tr_LocalDomains_AD]
ON [dbo].[tbl_LocalDomains]
AFTER DELETE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.ID, 1, 'tbl_LocalDomains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.ID) AND (r.TableName = 'tbl_LocalDomains'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AU' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AU];
GO

CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AU]
ON [dbo].[tblWL_AuthorizedTOEmails]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AI' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AI];
GO

CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AI]
ON [dbo].[tblWL_AuthorizedTOEmails]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AD' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AD];
GO

CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AD]
ON [dbo].[tblWL_AuthorizedTOEmails]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AU' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AU];
GO

CREATE TRIGGER [dbo].[trWL_Keywords_AU]
ON [dbo].[tblWL_Keywords]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_Keywords'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AI' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AI];
GO

CREATE TRIGGER [dbo].[trWL_Keywords_AI]
ON [dbo].[tblWL_Keywords]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_Keywords' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_Keywords'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AD' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AD];
GO

CREATE TRIGGER [dbo].[trWL_Keywords_AD]
ON [dbo].[tblWL_Keywords]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_Keywords'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AU' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AU];
GO

CREATE TRIGGER [dbo].[trWL_EmailsFrom_AU]
ON [dbo].[tblWL_EmailsFrom]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AI' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AI];
GO

CREATE TRIGGER [dbo].[trWL_EmailsFrom_AI]
ON [dbo].[tblWL_EmailsFrom]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_EmailsFrom' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AD' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AD];
GO

CREATE TRIGGER [dbo].[trWL_EmailsFrom_AD]
ON [dbo].[tblWL_EmailsFrom]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AU' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AU];
GO

CREATE TRIGGER [dbo].[trWL_EmailsTO_AU]
ON [dbo].[tblWL_EmailsTO]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AI' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AI];
GO

CREATE TRIGGER [dbo].[trWL_EmailsTO_AI]
ON [dbo].[tblWL_EmailsTO]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_EmailsTO' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AD' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AD];
GO

CREATE TRIGGER [dbo].[trWL_EmailsTO_AD]
ON [dbo].[tblWL_EmailsTO]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AU' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AU];
GO

CREATE TRIGGER [dbo].[trWL_DomainsIPs_AU]
ON [dbo].[tblWL_DomainsIPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_DomainsIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AI' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AI];
GO

CREATE TRIGGER [dbo].[trWL_DomainsIPs_AI]
ON [dbo].[tblWL_DomainsIPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_DomainsIPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AD' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AD];
GO

CREATE TRIGGER [dbo].[trWL_DomainsIPs_AD]
ON [dbo].[tblWL_DomainsIPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_DomainsIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AutoWhiteListForceDelivery_AU' AND type = 'TR') DROP TRIGGER[trWL_AutoWhiteListForceDelivery_AU];
GO

CREATE TRIGGER [dbo].[trWL_AutoWhiteListForceDelivery_AU]
ON [dbo].[tblWL_AutoWhiteListForceDelivery]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AutoWhiteListForceDelivery_AI' AND type = 'TR') DROP TRIGGER[trWL_AutoWhiteListForceDelivery_AI];
GO

CREATE TRIGGER [dbo].[trWL_AutoWhiteListForceDelivery_AI]
ON [dbo].[tblWL_AutoWhiteListForceDelivery]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AutoWhiteListForceDelivery_AD' AND type = 'TR') DROP TRIGGER[trWL_AutoWhiteListForceDelivery_AD];
GO

CREATE TRIGGER [dbo].[trWL_AutoWhiteListForceDelivery_AD]
ON [dbo].[tblWL_AutoWhiteListForceDelivery]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AU' AND type = 'TR') DROP TRIGGER[trBL_Domains_AU];
GO

CREATE TRIGGER [dbo].[trBL_Domains_AU]
ON [dbo].[tblBL_Domains]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Domains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Domains'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AI' AND type = 'TR') DROP TRIGGER[trBL_Domains_AI];
GO

CREATE TRIGGER [dbo].[trBL_Domains_AI]
ON [dbo].[tblBL_Domains]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Domains' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Domains'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AD' AND type = 'TR') DROP TRIGGER[trBL_Domains_AD];
GO

CREATE TRIGGER [dbo].[trBL_Domains_AD]
ON [dbo].[tblBL_Domains]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Domains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Domains'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AU' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AU];
GO

CREATE TRIGGER [dbo].[trBL_EmailsFrom_AU]
ON [dbo].[tblBL_EmailsFrom]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AI' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AI];
GO

CREATE TRIGGER [dbo].[trBL_EmailsFrom_AI]
ON [dbo].[tblBL_EmailsFrom]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_EmailsFrom' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AD' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AD];
GO

CREATE TRIGGER [dbo].[trBL_EmailsFrom_AD]
ON [dbo].[tblBL_EmailsFrom]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AU' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AU];
GO

CREATE TRIGGER [dbo].[trBL_EmailsTO_AU]
ON [dbo].[tblBL_EmailsTO]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AI' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AI];
GO

CREATE TRIGGER [dbo].[trBL_EmailsTO_AI]
ON [dbo].[tblBL_EmailsTO]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_EmailsTO' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AD' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AD];
GO

CREATE TRIGGER [dbo].[trBL_EmailsTO_AD]
ON [dbo].[tblBL_EmailsTO]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Countries_AU' AND type = 'TR') DROP TRIGGER[trBL_Countries_AU];
GO

CREATE TRIGGER [dbo].[trBL_Countries_AU]
ON [dbo].[tblBL_Countries]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Countries' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Countries'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Countries_AI' AND type = 'TR') DROP TRIGGER[trBL_Countries_AI];
GO

CREATE TRIGGER [dbo].[trBL_Countries_AI]
ON [dbo].[tblBL_Countries]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Countries' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Countries'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Countries_AD' AND type = 'TR') DROP TRIGGER[trBL_Countries_AD];
GO

CREATE TRIGGER [dbo].[trBL_Countries_AD]
ON [dbo].[tblBL_Countries]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Countries' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Countries'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AU' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AU];
GO

CREATE TRIGGER [dbo].[trBL_MAPS_AU]
ON [dbo].[tblBL_MAPS]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_MAPS' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_MAPS'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AI' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AI];
GO

CREATE TRIGGER [dbo].[trBL_MAPS_AI]
ON [dbo].[tblBL_MAPS]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_MAPS' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_MAPS'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AD' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AD];
GO

CREATE TRIGGER [dbo].[trBL_MAPS_AD]
ON [dbo].[tblBL_MAPS]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_MAPS' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_MAPS'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AU' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AU];
GO

CREATE TRIGGER [dbo].[trBL_Keywords_AU]
ON [dbo].[tblBL_Keywords]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Keywords'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AI' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AI];
GO

CREATE TRIGGER [dbo].[trBL_Keywords_AI]
ON [dbo].[tblBL_Keywords]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Keywords' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Keywords'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AD' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AD];
GO

CREATE TRIGGER [dbo].[trBL_Keywords_AD]
ON [dbo].[tblBL_Keywords]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Keywords'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AU' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AU];
GO

CREATE TRIGGER [dbo].[trBL_Attachments_AU]
ON [dbo].[tblBL_Attachments]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Attachments' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Attachments'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AI' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AI];
GO

CREATE TRIGGER [dbo].[trBL_Attachments_AI]
ON [dbo].[tblBL_Attachments]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Attachments' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Attachments'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AD' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AD];
GO

CREATE TRIGGER [dbo].[trBL_Attachments_AD]
ON [dbo].[tblBL_Attachments]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Attachments' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Attachments'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AU' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AU];
GO

CREATE TRIGGER [dbo].[trBL_SURBL_AU]
ON [dbo].[tblBL_SURBL]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_SURBL' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_SURBL'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AI' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AI];
GO

CREATE TRIGGER [dbo].[trBL_SURBL_AI]
ON [dbo].[tblBL_SURBL]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_SURBL' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_SURBL'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AD' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AD];
GO

CREATE TRIGGER [dbo].[trBL_SURBL_AD]
ON [dbo].[tblBL_SURBL]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_SURBL' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_SURBL'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AU' AND type = 'TR') DROP TRIGGER[trBL_IPs_AU];
GO

CREATE TRIGGER [dbo].[trBL_IPs_AU]
ON [dbo].[tblBL_IPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_IPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_IPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AI' AND type = 'TR') DROP TRIGGER[trBL_IPs_AI];
GO

CREATE TRIGGER [dbo].[trBL_IPs_AI]
ON [dbo].[tblBL_IPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_IPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_IPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AD' AND type = 'TR') DROP TRIGGER[trBL_IPs_AD];
GO

CREATE TRIGGER [dbo].[trBL_IPs_AD]
ON [dbo].[tblBL_IPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_IPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_IPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AU' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AU];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AU]
ON [dbo].[tblBL_HoneypotEmails]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AI' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AI];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AI]
ON [dbo].[tblBL_HoneypotEmails]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_HoneypotEmails' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AD' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AD];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AD]
ON [dbo].[tblBL_HoneypotEmails]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotBlockedIPs_AU' AND type = 'TR') DROP TRIGGER[trBL_HoneypotBlockedIPs_AU];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotBlockedIPs_AU]
ON [dbo].[tblBL_HoneypotBlockedIPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotBlockedIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotBlockedIPs_AI' AND type = 'TR') DROP TRIGGER[trBL_HoneypotBlockedIPs_AI];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotBlockedIPs_AI]
ON [dbo].[tblBL_HoneypotBlockedIPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_HoneypotBlockedIPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotBlockedIPs_AD' AND type = 'TR') DROP TRIGGER[trBL_HoneypotBlockedIPs_AD];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotBlockedIPs_AD]
ON [dbo].[tblBL_HoneypotBlockedIPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotBlockedIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_FilterSettings_AU' AND type = 'TR') DROP TRIGGER[tr_FilterSettings_AU];
GO

CREATE TRIGGER [dbo].[tr_FilterSettings_AU]
ON [dbo].[tbl_FilterSettings]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tbl_FilterSettings' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tbl_FilterSettings'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_FilterSettings_AI' AND type = 'TR') DROP TRIGGER[tr_FilterSettings_AI];
GO

CREATE TRIGGER [dbo].[tr_FilterSettings_AI]
ON [dbo].[tbl_FilterSettings]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tbl_FilterSettings' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tbl_FilterSettings'))
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_FilterSettings_AD' AND type = 'TR') DROP TRIGGER[tr_FilterSettings_AD];
GO

CREATE TRIGGER [dbo].[tr_FilterSettings_AD]
ON [dbo].[tbl_FilterSettings]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tbl_FilterSettings' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tbl_FilterSettings'))
GO

